Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.text
Class OdfAlphabeticalIndexSourceElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.text.OdfAlphabeticalIndexSourceElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfAlphabeticalIndexSource

    public abstract class OdfAlphabeticalIndexSourceElement

extends OdfElement

DOM implementation of OpenDocument element text:alphabetical-index-source.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfAlphabeticalIndexSourceElement(OdfFileDom aOwnerDoc)` Create the instance of OdfAlphabeticalIndexSourceElement

Method Summary
`OdfAlphabeticalIndexEntryTemplateElement` | `createAlphabeticalIndexEntryTemplateElement(OdfOutlineLevelType outlineLevel, OdfStyleNameRef styleName)` Create child element text:alphabetical-index-entry-template.
`OdfIndexTitleTemplateElement` | `createIndexTitleTemplateElement()` Create child element text:index-title-template.
`OdfBoolean` | `getAlphabeticalSeparators()` Get value of attribute text:alphabetical-separators.
`OdfBoolean` | `getCapitalizeEntries()` Get value of attribute text:capitalize-entries.
`OdfBoolean` | `getCombineEntries()` Get value of attribute text:combine-entries.
`OdfBoolean` | `getCombineEntriesWithDash()` Get value of attribute text:combine-entries-with-dash.
`OdfBoolean` | `getCombineEntriesWithPp()` Get value of attribute text:combine-entries-with-pp.
`OdfBoolean` | `getCommaSeparated()` Get value of attribute text:comma-separated.
`String` | `getCountry()` Get value of attribute fo:country.
`OdfBoolean` | `getIgnoreCase()` Get value of attribute text:ignore-case.
`OdfIndexScopeType` | `getIndexScope()` Get value of attribute text:index-scope.
`String` | `getLanguage()` Get value of attribute fo:language.
`String` | `getMainEntryStyleName()` Get value of attribute text:main-entry-style-name.
`OdfName` | `getOdfName()` Get the element name
`OdfBoolean` | `getRelativeTabStopPosition()` Get value of attribute text:relative-tab-stop-position.
`String` | `getRfcLanguageTag()` Get value of attribute style:rfc-language-tag.
`String` | `getScript()` Get value of attribute fo:script.
`String` | `getSortAlgorithm()` Get value of attribute text:sort-algorithm.
`OdfBoolean` | `getUseKeysAsEntries()` Get value of attribute text:use-keys-as-entries.
`void` | `setAlphabeticalSeparators(OdfBoolean isAlphabeticalSeparators)` Set value of attribute text:alphabetical-separators.
`void` | `setCapitalizeEntries(OdfBoolean isCapitalizeEntries)` Set value of attribute text:capitalize-entries.
`void` | `setCombineEntries(OdfBoolean isCombineEntries)` Set value of attribute text:combine-entries.
`void` | `setCombineEntriesWithDash(OdfBoolean isCombineEntriesWithDash)` Set value of attribute text:combine-entries-with-dash.
`void` | `setCombineEntriesWithPp(OdfBoolean isCombineEntriesWithPp)` Set value of attribute text:combine-entries-with-pp.
`void` | `setCommaSeparated(OdfBoolean isCommaSeparated)` Set value of attribute text:comma-separated.
`void` | `setCountry(String country)` Set value of attribute fo:country.
`void` | `setIgnoreCase(OdfBoolean isIgnoreCase)` Set value of attribute text:ignore-case.
`void` | `setIndexScope(OdfIndexScopeType indexScope)` Set value of attribute text:index-scope.
`void` | `setLanguage(String language)` Set value of attribute fo:language.
`void` | `setMainEntryStyleName(OdfStyleNameRef mainEntryStyleName)` Set value of attribute text:main-entry-style-name.
`void` | `setRelativeTabStopPosition(OdfBoolean isRelativeTabStopPosition)` Set value of attribute text:relative-tab-stop-position.
`void` | `setRfcLanguageTag(String rfcLanguageTag)` Set value of attribute style:rfc-language-tag.
`void` | `setScript(String script)` Set value of attribute fo:script.
`void` | `setSortAlgorithm(String sortAlgorithm)` Set value of attribute text:sort-algorithm.
`void` | `setUseKeysAsEntries(OdfBoolean isUseKeysAsEntries)` Set value of attribute text:use-keys-as-entries.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfAlphabeticalIndexSourceElement

    public OdfAlphabeticalIndexSourceElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfAlphabeticalIndexSourceElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element text:alphabetical-index-source.

### getIndexScope

    public OdfIndexScopeType getIndexScope()

  Get value of attribute text:index-scope.

  Returns:
    return the attribute which type is OdfIndexScopeType

### setIndexScope

    public void setIndexScope(OdfIndexScopeType indexScope)

  Set value of attribute text:index-scope.

  Parameters:
    `indexScope` - the attribute's type is OdfIndexScopeType

### getRelativeTabStopPosition

    public OdfBoolean getRelativeTabStopPosition()

  Get value of attribute text:relative-tab-stop-position.

  Returns:
    return the attribute which type is OdfBoolean

### setRelativeTabStopPosition

    public void setRelativeTabStopPosition(OdfBoolean isRelativeTabStopPosition)

  Set value of attribute text:relative-tab-stop-position.

  Parameters:
    `isRelativeTabStopPosition` - the attribute's type is OdfBoolean

### getIgnoreCase

    public OdfBoolean getIgnoreCase()

  Get value of attribute text:ignore-case.

  Returns:
    return the attribute which type is OdfBoolean

### setIgnoreCase

    public void setIgnoreCase(OdfBoolean isIgnoreCase)

  Set value of attribute text:ignore-case.

  Parameters:
    `isIgnoreCase` - the attribute's type is OdfBoolean

### getMainEntryStyleName

    public String getMainEntryStyleName()

  Get value of attribute text:main-entry-style-name.

  Returns:
    return the attribute which type is String

### setMainEntryStyleName

    public void setMainEntryStyleName(OdfStyleNameRef mainEntryStyleName)

  Set value of attribute text:main-entry-style-name.

  Parameters:
    `mainEntryStyleName` - the attribute's type is OdfStyleNameRef

### getAlphabeticalSeparators

    public OdfBoolean getAlphabeticalSeparators()

  Get value of attribute text:alphabetical-separators.

  Returns:
    return the attribute which type is OdfBoolean

### setAlphabeticalSeparators

    public void setAlphabeticalSeparators(OdfBoolean isAlphabeticalSeparators)

  Set value of attribute text:alphabetical-separators.

  Parameters:
    `isAlphabeticalSeparators` - the attribute's type is OdfBoolean

### getCombineEntries

    public OdfBoolean getCombineEntries()

  Get value of attribute text:combine-entries.

  Returns:
    return the attribute which type is OdfBoolean

### setCombineEntries

    public void setCombineEntries(OdfBoolean isCombineEntries)

  Set value of attribute text:combine-entries.

  Parameters:
    `isCombineEntries` - the attribute's type is OdfBoolean

### getCombineEntriesWithDash

    public OdfBoolean getCombineEntriesWithDash()

  Get value of attribute text:combine-entries-with-dash.

  Returns:
    return the attribute which type is OdfBoolean

### setCombineEntriesWithDash

    public void setCombineEntriesWithDash(OdfBoolean isCombineEntriesWithDash)

  Set value of attribute text:combine-entries-with-dash.

  Parameters:
    `isCombineEntriesWithDash` - the attribute's type is OdfBoolean

### getCombineEntriesWithPp

    public OdfBoolean getCombineEntriesWithPp()

  Get value of attribute text:combine-entries-with-pp.

  Returns:
    return the attribute which type is OdfBoolean

### setCombineEntriesWithPp

    public void setCombineEntriesWithPp(OdfBoolean isCombineEntriesWithPp)

  Set value of attribute text:combine-entries-with-pp.

  Parameters:
    `isCombineEntriesWithPp` - the attribute's type is OdfBoolean

### getUseKeysAsEntries

    public OdfBoolean getUseKeysAsEntries()

  Get value of attribute text:use-keys-as-entries.

  Returns:
    return the attribute which type is OdfBoolean

### setUseKeysAsEntries

    public void setUseKeysAsEntries(OdfBoolean isUseKeysAsEntries)

  Set value of attribute text:use-keys-as-entries.

  Parameters:
    `isUseKeysAsEntries` - the attribute's type is OdfBoolean

### getCapitalizeEntries

    public OdfBoolean getCapitalizeEntries()

  Get value of attribute text:capitalize-entries.

  Returns:
    return the attribute which type is OdfBoolean

### setCapitalizeEntries

    public void setCapitalizeEntries(OdfBoolean isCapitalizeEntries)

  Set value of attribute text:capitalize-entries.

  Parameters:
    `isCapitalizeEntries` - the attribute's type is OdfBoolean

### getCommaSeparated

    public OdfBoolean getCommaSeparated()

  Get value of attribute text:comma-separated.

  Returns:
    return the attribute which type is OdfBoolean

### setCommaSeparated

    public void setCommaSeparated(OdfBoolean isCommaSeparated)

  Set value of attribute text:comma-separated.

  Parameters:
    `isCommaSeparated` - the attribute's type is OdfBoolean

### getLanguage

    public String getLanguage()

  Get value of attribute fo:language.

  Returns:
    return the attribute which type is String

### setLanguage

    public void setLanguage(String language)

  Set value of attribute fo:language.

  Parameters:
    `language` - the attribute's type is String

### getCountry

    public String getCountry()

  Get value of attribute fo:country.

  Returns:
    return the attribute which type is String

### setCountry

    public void setCountry(String country)

  Set value of attribute fo:country.

  Parameters:
    `country` - the attribute's type is String

### getScript

    public String getScript()

  Get value of attribute fo:script.

  Returns:
    return the attribute which type is String

### setScript

    public void setScript(String script)

  Set value of attribute fo:script.

  Parameters:
    `script` - the attribute's type is String

### getRfcLanguageTag

    public String getRfcLanguageTag()

  Get value of attribute style:rfc-language-tag.

  Returns:
    return the attribute which type is String

### setRfcLanguageTag

    public void setRfcLanguageTag(String rfcLanguageTag)

  Set value of attribute style:rfc-language-tag.

  Parameters:
    `rfcLanguageTag` - the attribute's type is String

### getSortAlgorithm

    public String getSortAlgorithm()

  Get value of attribute text:sort-algorithm.

  Returns:
    return the attribute which type is String

### setSortAlgorithm

    public void setSortAlgorithm(String sortAlgorithm)

  Set value of attribute text:sort-algorithm.

  Parameters:
    `sortAlgorithm` - the attribute's type is String

### createIndexTitleTemplateElement

    public OdfIndexTitleTemplateElement createIndexTitleTemplateElement()

  Create child element text:index-title-template.

  Returns:
    return the element text:index-title-template

### createAlphabeticalIndexEntryTemplateElement

    public OdfAlphabeticalIndexEntryTemplateElement createAlphabeticalIndexEntryTemplateElement(OdfOutlineLevelType outlineLevel,
                                                                                                OdfStyleNameRef styleName)

  Create child element text:alphabetical-index-entry-template.

  Parameters:
    `outlineLevel` - the attribute's type is OdfOutlineLevelType, see text:outline-level at specification
    `styleName` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleNameRef
  Returns:
    return the element text:alphabetical-index-entry-template

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.